Bug 731421 - cups not enabled by default
Summary: cups not enabled by default
Status: CLOSED DUPLICATE of bug 748841
Alias: None
Product: Fedora
Classification: Fedora
Component: cups   
(Show other bugs)
Version: 16
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 741600 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 15:31 UTC by Joachim Backes
Modified: 2011-11-04 10:12 UTC (History)
6 users (show)

Fixed In Version: cups-1.5.0-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-26 13:19:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Backes 2011-08-17 15:31:42 UTC
Description of problem:
Installing F16/alpha/RC4 does not enable cups by default: It must be started manually, but is not started whenn booting. Even if I install system-config-services, start system-config-services and if select then cups, it can't be enabled (like by chkconfig in earlier times).

Version-Release number of selected component (if applicable):
cups-1.5.0-3.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1.Reboot
2.
3.
  
Actual results:
No cupsd is running

Expected results:
cupsd is running

Additional info:

Comment 1 Tim Waugh 2011-08-17 15:49:51 UTC
Looking at the policy for this:

https://fedoraproject.org/wiki/Starting_services_by_default:
"If a service does not require configuration to be functional and is not network enabled, it may be enabled by default (but is not required to do so)."

It seems we can enable cups by default because the default configuration is not network enabled.

Enabling cups by default allows automatic configuration of connected USB printers to work again.

Comment 2 Tim Waugh 2011-08-17 16:17:04 UTC
I'll enable all three units due to the current policy about that¹, although really cups.service only needs to be enabled for network-facing configurations.

¹ https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd#Socket_activation
"Since Fedora currently doesn't want any services to do on-demand loading, all socket activated services must autostart."

Comment 3 Fedora Update System 2011-08-17 16:20:24 UTC
cups-1.5.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cups-1.5.0-4.fc16

Comment 4 Joachim Backes 2011-08-17 17:05:57 UTC
OK!

Comment 5 Fedora Update System 2011-08-17 20:24:35 UTC
Package cups-1.5.0-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cups-1.5.0-4.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-08-19 12:04:49 UTC
cups-1.5.0-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cups-1.5.0-5.fc16

Comment 7 Joachim Backes 2011-08-19 12:50:06 UTC
I'm sorry, but it's not installable:

sudo yum update *cups*
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Update Process
Examining cups-1.5.0-5.fc16.x86_64.rpm: 1:cups-1.5.0-5.fc16.x86_64
Marking cups-1.5.0-5.fc16.x86_64.rpm as an update to 1:cups-1.5.0-4.fc16.x86_64
Examining cups-libs-1.5.0-5.fc16.x86_64.rpm: 1:cups-libs-1.5.0-5.fc16.x86_64
Marking cups-libs-1.5.0-5.fc16.x86_64.rpm as an update to 1:cups-libs-1.5.0-4.fc16.x86_64
Marking cups-libs-1.5.0-5.fc16.x86_64.rpm as an update to 1:cups-libs-1.5.0-4.fc16.i686
Resolving Dependencies
--> Running transaction check
---> Package cups.x86_64 1:1.5.0-4.fc16 will be updated
---> Package cups.x86_64 1:1.5.0-5.fc16 will be an update
---> Package cups-libs.x86_64 1:1.5.0-4.fc16 will be updated
---> Package cups-libs.x86_64 1:1.5.0-5.fc16 will be an update
--> Finished Dependency Resolution
Error: Protected multilib versions: 1:cups-libs-1.5.0-5.fc16.x86_64 != 1:cups-libs-1.5.0-4.fc16.i686

(this seems to a general issue [for the moment], because a lot of other pkgs have the same problems if trying to update them!)

Comment 8 Jiri Popelka 2011-08-19 13:06:06 UTC
Tim, what about:
-Requires: %{name}-libs = %{epoch}:%{version}-%{release}
+Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}

https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires

Comment 9 Tim Waugh 2011-08-19 14:05:27 UTC
Good idea.

Comment 10 Joachim Frieben 2011-08-24 19:41:13 UTC
Issue still persists after updating to 
- cups-1.5.0-5.fc16.x86_64
- systemd-33-2.fc16.x86_64

Comment 11 Tim Waugh 2011-08-25 08:07:35 UTC
Upgrading the package will not enable it (this is intentional).  Remove it and then reinstall it.

Comment 12 Joachim Backes 2011-08-25 08:40:18 UTC
(In reply to comment #11)
> Upgrading the package will not enable it (this is intentional).  Remove it and
> then reinstall it.

This has been a little bit difficult because of the current yum update problems. But by using yumdownloader and rpm I could re-install the cups packages. Now, cups is enabled.

Kind regards

Joachim Backes

Comment 13 Fedora Update System 2011-08-30 20:39:01 UTC
cups-1.5.0-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Tim Waugh 2011-09-28 08:40:37 UTC
*** Bug 741600 has been marked as a duplicate of this bug. ***

Comment 15 Manuel Schneckenreither 2011-11-03 23:56:07 UTC
Same problem here. 

I need to enable cups via 
$ sudo service cups start

to enable printing. 

Installed cups:

$ sudo rpm -qi cups
Name        : cups
Epoch       : 1
Version     : 1.5.0
Release     : 16.fc16
Architecture: x86_64
Install Date: Don 27 Okt 2011 09:24:30 CEST
Group       : System Environment/Daemons
Size        : 8705534
License     : GPLv2
Signature   : RSA/SHA256, Die 11 Okt 2011 10:23:41 CEST, Key ID 067f00b6a82ba4b7
Source RPM  : cups-1.5.0-16.fc16.src.rpm
Build Date  : Die 11 Okt 2011 14:16:23 CEST
Build Host  : x86-18.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.cups.org/
Summary     : Common Unix Printing System
Description :
The Common UNIX Printing System provides a portable printing layer for
UNIX® operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.
-----------------------------


Actually, it's not a big problem for me but it's not nice and might cause troubles to someone else...

Comment 16 Tim Waugh 2011-11-04 10:12:28 UTC
There is a test update which is meant to fix it, mentioned in bug #748841.  Note that in order to test it you must update from a version of CUPS before the conversion to systemd.  To do that, uninstall cups, then install the F-15 cups package.  Finally, apply the test update.

(If you want to just "make it work" without providing test feedback for the update, 'systemctl enable cups.service'.)

*** This bug has been marked as a duplicate of bug 748841 ***


Note You need to log in before you can comment on or make changes to this bug.